curl "https://api.scanova.io/theme/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
[
{
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" }, "font": { "heading": "Inter" } },
"schema_version": 2,
"category_hints": ["website-url", "vcard"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
}
]
السمات وقوالب الصفحات
سرد السمات
GET /theme/
GET
/
theme
/
curl "https://api.scanova.io/theme/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
[
{
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" }, "font": { "heading": "Inter" } },
"schema_version": 2,
"category_hints": ["website-url", "vcard"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
}
]
يسرد كل سمة (theme) نشطة، على مضيف Management API (
يتبع
api.scanova.io)، مع المصادقة باستخدام مفتاح Management API الخام الخاص بك.
GET https://api.scanova.io/theme/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
السمات هي مورد مشترك للقراءة لمنشئ الصفحات — يعيد هذا السمات النظامية بالإضافة إلى سمات كل حساب، وليس سماتك فقط. غير مُرقَّم الصفحات؛ الاستجابة مصفوفة بسيطة. تُرتَّب السمات النظامية (
is_system: true) أولًا، ثم حسب order، ثم حسب name.curl "https://api.scanova.io/theme/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
[
{
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" }, "font": { "heading": "Inter" } },
"schema_version": 2,
"category_hints": ["website-url", "vcard"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
}
]
config_json مخطط ThemeConfigV2 (الألوان والخطوط ورموز التصميم الأخرى)؛ تكون schema_version بقيمة null للسمات القديمة v1 و2 للسمات الحالية.
ذات صلة
- إنشاء سمة — حفظ سمة جديدة.
- الحصول على سمة — الحصول على سمة عبر السمة (slug) أو المعرّف.
- تحديث سمة — تعديل سمة تملكها.
- نظرة عامة على Management API — مخطط المصادقة وقواعد الحصة المطبّقة على نقطة النهاية هذه.
التفويضات
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
الاستجابة
200 - application/json
Plain array of themes.
هل كانت هذه الصفحة مفيدة؟